Subject: bug#24711: 26.0.50; Error message when opening font selection dialog on macOS

From: Alan Third <[email-masked]>
Date: Mon, 19 Dec 2016 10:52:51 +0000

Philipp Stephani <[email-masked]> writes:

> After selecting "Option > Select Default Font..." on macOS Sierra, the
> following error message is printed on stderr:
>
> 2016-10-16 19:31:07.006754 Emacs[25238:14528037] NSToolbarItem (<NSToolbarItem: 0x102131540>) had to adjust the size of <NSPopUpButton: 0x10a767b40> from {40, 25} to the expected size of {42, 27}. Make sure that this toolbar item view has a valid frame/min/max size. This is an app bug, please do not file a bug against AppKit or NSToolbar! Break on _NSToolbarAdjustedBorderedControlSizeBreakpoint

I've seen this too, but I can't for the life of me work out where the
font picker is defined. I did find this:

http://cocoa-dev.apple.narkive.com/iSLaiCLR/strange-toolbar-item-error

where it appears the recommendation is to ignore it. Hardly ideal.
-- 
Alan Third